import React, { useState, useEffect } from 'react';
import {
  Modal,
  Form,
  Select,
  Radio,
  Checkbox,
  Input,
  Row,
  Col,
  Button,
  InputNumber,
  Tree,
  Tooltip,
  Dropdown,
  message,
} from 'antd';
import Icon from '@/tenants-ui/SgIcon';
import styles from './index.less';
import cx from 'classnames';
import { useModel, history } from 'umi';
import { EllipsisOutlined } from '@ant-design/icons';
import { ExclamationCircleOutlined } from '@ant-design/icons';
import AreaTree from '../areaTree';

import moment from 'moment';
import { queryUserInfo, saveUserInfo, deleteUser } from '@/services/sagacare_service/member';

const ImportModal = ({ onClose }) => {
  const { initialState } = useModel('@@initialState');

  return (
    <>
      <Modal open closable={false} footer={null} width={760}>
        <div className={styles.modalmain}>
          <div className={styles.header}>
            <div
              className={styles.close}
              onClick={() => {
                onClose();
              }}
            >
              <Icon type="close" />
            </div>
          </div>
          <div className={styles.content}></div>
        </div>
      </Modal>
    </>
  );
};

export default ImportModal;
